#ifndef CGEN2SETPASSWORDDIALOG_H
#define CGEN2SETPASSWORDDIALOG_H

#include <QDialog>
#include <ui_CGen2SetPasswordDialog.h>
#include "../../../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeGen2Tag;

class CGen2SetPasswordDialog : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGen2SetPasswordDialog(QWidget *parent = 0);
    ~CGen2SetPasswordDialog();

public slots:
	int exec(QrfeGen2Tag* tag);

	void tryAccept();

private:
    Ui::CGen2SetPasswordDialogClass ui;

    QrfeGen2Tag* 		m_tag;
};

#endif // CGEN2SETPASSWORDDIALOG_H
